upsertPurchaseInvoiceLine
WRITEUpsert purchase invoice line.
POST /api/v1/invoicing/upsertPurchaseInvoiceLine
curl -X POST '<your-host>/api/v1/invoicing/upsertPurchaseInvoiceLine' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"invoiceId": "string",
"invoiceLineType": "Part"
}'Response
{
"id": "string"
}Parameters
ParameterType
min length 1
"Part""Material""Tool""Consumable""Service""Fixture""G/L Account""Fixed Asset""Comment"
min 0max 1
Input schema
schema
{
"type": "object",
"properties": {
"invoiceId": {
"type": "string",
"minLength": 1
},
"invoiceLineType": {
"type": "string",
"enum": [
"Part",
"Material",
"Tool",
"Consumable",
"Service",
"Fixture",
"G/L Account",
"Fixed Asset",
"Comment"
]
},
"purchaseOrderId": {
"type": "string"
},
"purchaseOrderLineId": {
"type": "string"
},
"itemId": {
"type": "string"
},
"accountId": {
"type": "string"
},
"costCenterId": {
"type": "string"
},
"assetId": {
"type": "string"
},
"description": {
"type": "string"
},
"quantity": {
"type": "number"
},
"purchaseUnitOfMeasureCode": {
"type": "string"
},
"inventoryUnitOfMeasureCode": {
"type": "string"
},
"conversionFactor": {
"type": "number"
},
"supplierUnitPrice": {
"type": "number"
},
"supplierShippingCost": {
"default": 0,
"type": "number"
},
"supplierTaxAmount": {
"default": 0,
"type": "number"
},
"taxPercent": {
"default": 0,
"type": "number",
"minimum": 0,
"maximum": 1
},
"requiredDate": {
"type": "string"
},
"locationId": {
"type": "string"
},
"storageUnitId": {
"type": "string"
},
"exchangeRate": {
"type": "number"
},
"customFields": {},
"id": {
"type": "string"
}
},
"required": [
"invoiceId",
"invoiceLineType"
]
}